red = Color.new(255, 0, 0)
white = Color.new(255, 255, 255)
unloadbuff()
--menu
Select = 1
maxSelect = 2
menuBackground=Image.load("playpsp/pxlfxbg.png")
oldpad = Controls.read()
--menu
while true do
pad = Controls.read()
screen:clear()
screen:blit(0,0,menuBackground)
--menu
if pad:up() and oldpad:up() ~= pad:up() then
Select = Select - 1
end
if pad:down() and oldpad:down() ~= pad:down() then
Select = Select + 1
end
if Select > maxSelect then
Select = 1
elseif Select <= 0 then
Select = maxSelect
end
if Select == 1 then
screen:print(334,202,"Start PIXFIX", red)
screen:print(334,220,"Back to Menu",white)
end
if Select == 2 then
screen:print(334,202,"Start PIXFIX", white)
screen:print(334,220,"Back To Menu",red)
end
if pad:cross() and Select == 1 then
dofile("pixelfix.lua")
end
if pad:cross() and Select == 2 then
dofile("menu.lua")
end
screen.waitVblankStart()
screen.flip()
oldpad = pad
end
